Bug 176825 - broken memsets in s390 drivers.
Summary: broken memsets in s390 drivers.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jan Glauber
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168430
TreeView+ depends on / blocked
 
Reported: 2006-01-03 14:13 UTC by Dave Jones
Modified: 2015-01-04 22:24 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 21:07:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Dave Jones 2006-01-03 14:13:22 UTC
found by code inspection: swapped arguments in memset calls..

drivers/s390/cio/cmf.c: memset(data, sizeof(struct cmbdata), 0);
drivers/s390/cio/cmf.c: memset (data, sizeof(struct cmbdata), 0);
drivers/s390/cio/css.c: memset(new_slow_sch, sizeof(struct slow_subchannel), 0);

Comment 4 Red Hat Bugzilla 2006-03-07 21:07:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.